Bug 20698 - Remove obsolete template: transfer-slip.tt
Summary: Remove obsolete template: transfer-slip.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-02 15:46 UTC by Owen Leonard
Modified: 2018-07-30 13:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20698 - Remove obsolete template: transfer-slip.tt (1.73 KB, patch)
2018-06-18 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20698 - Remove obsolete template: transfer-slip.tt (1.79 KB, patch)
2018-07-08 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20698 - Remove obsolete template: transfer-slip.tt (1.88 KB, patch)
2018-07-13 06:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-02 15:46:40 UTC
transfer-slip.pl was modified some time ago to no longer use transfer-slip.tt (so long ago it was transfer-slip.tmpl). transfer-slip.tt is not used at all and should be removed.
Comment 1 Owen Leonard 2018-06-18 15:33:43 UTC
Created attachment 76140 [details] [review]
Bug 20698 - Remove obsolete template: transfer-slip.tt

This patch removes an unused template file, circ/transfer-slip.tt. Its
use was removed by Bug 7001:

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=a9ded4fa008668df8c485fbbc76efa3cc9cc00d7#patch12

To test, apply the patch and confirm that the file has been removed.
Confirm that no references to the template exist in the codebase.
Comment 2 Katrin Fischer 2018-07-08 16:37:56 UTC
Created attachment 76771 [details] [review]
Bug 20698 - Remove obsolete template: transfer-slip.tt

This patch removes an unused template file, circ/transfer-slip.tt. Its
use was removed by Bug 7001:

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=a9ded4fa008668df8c485fbbc76efa3cc9cc00d7#patch12

To test, apply the patch and confirm that the file has been removed.
Confirm that no references to the template exist in the codebase.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2018-07-13 06:24:06 UTC
Created attachment 76931 [details] [review]
Bug 20698 - Remove obsolete template: transfer-slip.tt

This patch removes an unused template file, circ/transfer-slip.tt. Its
use was removed by Bug 7001:

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=a9ded4fa008668df8c485fbbc76efa3cc9cc00d7#patch12

To test, apply the patch and confirm that the file has been removed.
Confirm that no references to the template exist in the codebase.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-07-13 13:48:31 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-15 19:21:43 UTC
Pushed to 18.05.x for 18.05.02
Comment 6 Fridolin SOMERS 2018-07-30 13:37:29 UTC
Pushed to 17.11.x for 17.11.09
Comment 7 Fridolin SOMERS 2018-07-30 13:42:46 UTC
I choose not to push to 17.05.x